summaryrefslogtreecommitdiffstats
path: root/emacs.d/lisp/magit/bin
diff options
context:
space:
mode:
Diffstat (limited to 'emacs.d/lisp/magit/bin')
-rwxr-xr-xemacs.d/lisp/magit/bin/authors.pl6
-rwxr-xr-xemacs.d/lisp/magit/bin/mk_rel.bash13
2 files changed, 19 insertions, 0 deletions
diff --git a/emacs.d/lisp/magit/bin/authors.pl b/emacs.d/lisp/magit/bin/authors.pl
new file mode 100755
index 0000000..3e3559c
--- /dev/null
+++ b/emacs.d/lisp/magit/bin/authors.pl
@@ -0,0 +1,6 @@
+#!/usr/bin/env perl
+
+# :-)
+
+/(\d{4}).*?_(.+)/&&\$a{$2}->{$1}for`git log --pretty=format:%aD_%an`;
+print"Copyright (C) ".join(", ",sort keys %{$a{$_}})." $_.\n"for sort keys %a
diff --git a/emacs.d/lisp/magit/bin/mk_rel.bash b/emacs.d/lisp/magit/bin/mk_rel.bash
new file mode 100755
index 0000000..5cb662a
--- /dev/null
+++ b/emacs.d/lisp/magit/bin/mk_rel.bash
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -e
+
+if [ -z "$1" ]; then
+ make dist
+else
+ home_rev=$(git name-rev --name-only HEAD)
+ make clean
+ git checkout "$1"
+ make dist
+ git checkout "$home_rev"
+fi \ No newline at end of file